The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Application Identification

Prev Next

This URL update to application identification configuration for the Sensor.

Resource URL

PUT sensor/<sensor_id>/policy/applicationidentification

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Payload Parameter

Field Name Description Data Type
enableApplicationIdentification Enable application identification flag Boolean
selectedPorts Selected Ports strings list

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Operation Status Int

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1003/policy/applicationidentification

 {
    "enableApplicationIdentification": true,
    "selectedPorts":
    [
        "1A",
        "1B",
        "2A"
    ]
           }

Response

 {
       "status":1
   } 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1106 Invalid Sensor Id